#pragma once

#ifndef UNICODE
#define UNICODE
#endif

#ifndef WIN32_LEAN_AND_MEAN
#define WIN32_LEAN_AND_MEAN
#endif
#include <windows.h>

#include <string>

class Win32TempFile
{
public:
	Win32TempFile();

	~Win32TempFile();

	bool isValid() const;

	HANDLE getHandle() const;

	void write(PUCHAR buffer, ULONG size);

private:
	bool mIsValid{ false };
	std::wstring mName;
	HANDLE mHandle{ 0 };
};